aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libreoffice/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/libreoffice/APKBUILD')
-rw-r--r--testing/libreoffice/APKBUILD194
1 files changed, 194 insertions, 0 deletions
diff --git a/testing/libreoffice/APKBUILD b/testing/libreoffice/APKBUILD
new file mode 100644
index 0000000000..9b78c5295c
--- /dev/null
+++ b/testing/libreoffice/APKBUILD
@@ -0,0 +1,194 @@
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer:
+pkgname=libreoffice
+pkgver=4.4.0.3
+pkgrel=0
+pkgdesc="LibreOffice - Meta package for the full office suite"
+url="http://www.libreoffice.org/"
+arch="all"
+license="MPL2"
+depends_dev="cups-dev libjpeg-turbo-dev boost-dev clucene-dev libe-book-dev icu-dev
+ libetonyek-dev libwpd-dev libwpg-dev libmspub-dev libmwaw-dev libpagemaker-dev
+ libvisio-dev libcmis-dev lcms2-dev cppunit-dev freetype-dev libabw-dev libwps-dev
+ libxslt-dev postgresql-dev mdds-dev glm-dev glu-dev glew-dev vigra-dev
+ unixodbc-dev openldap-dev openssl-dev nss-dev npapi-sdk hunspell-dev
+ libxrender-dev libxrandr-dev neon-dev apr-dev redland-dev libexttextcat-dev
+ gconf-dev bluez-dev gstreamer1-dev gst-plugins-base1-dev gtk+2.0-dev
+ poppler-dev cairo-dev hyphen-dev mythes-dev python3-dev harfbuzz-dev
+ libfreehand-dev libodfgen-dev libcdr-dev"
+makedepends="$depends_dev autoconf automake tar coreutils ucpp gperf bison flex
+ zip perl perl-archive-zip sed"
+# GNU sed is needed for in i18npool/CustomTarget_localedata.mk
+install=""
+subpackages="$pkgname-base $pkgname-calc $pkgname-common $pkgname-draw
+ $pkgname-gnome $pkgname-impress $pkgname-lang-en_us $pkgname-math
+ $pkgname-connector-postgres $pkgname-writer"
+depends="$subpackages"
+_addsrcurl="http://dev-www.libreoffice.org/src"
+source="http://download.documentfoundation.org/libreoffice/src/4.4.0/libreoffice-$pkgver.tar.xz
+ $_addsrcurl/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz
+ linux-musl.patch
+ fix-execinfo.patch
+ fix-includes.patch
+ "
+
+_builddir="$srcdir"/libreoffice-$pkgver
+unpack() {
+ if [ -z "$force" ]; then
+ verify || return 1
+ initdcheck || return 1
+ fi
+ mkdir -p "$srcdir"
+ msg "Unpacking sources..."
+
+ local u
+ for u in $source; do
+ local s="$SRCDEST/$(filename_from_uri $u)"
+ case $s in
+ */libreoffice-*.tar.xz)
+ msg "Unpacking $s..."
+ unxz -c "$s" | tar -C "$srcdir" -x || return 1;;
+ esac
+ done
+}
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+
+ # https://bugs.documentfoundation.org/show_bug.cgi?id=78174
+ # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=64812
+ # gcc 4.9.x -fvisibility-inlines-hidden is broken, force disable it for now
+ sed -e 's/@HAVE_GCC_VISIBILITY_BROKEN@/TRUE/g' -i config_host.mk.in
+
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --with-vendor="Alpine Linux" \
+ --disable-online-update \
+ --disable-fetch-external \
+ --disable-dependency-tracking \
+ --disable-crashdump \
+ --enable-release-build \
+ --enable-split-app-modules \
+ --enable-verbose \
+ --enable-python=system \
+ --with-alloc=system \
+ --with-tls=openssl \
+ --with-system-libs \
+ --with-system-dicts \
+ --with-system-ucpp \
+ --with-external-dict-dir=/usr/share/hunspell \
+ --with-external-hyph-dir=/usr/share/hyphen \
+ --with-external-tar="$srcdir" \
+ --without-java \
+ --without-fonts \
+ --without-system-sane \
+ --without-myspell-dicts \
+ --disable-firebird-sdbc \
+ --disable-orcus \
+ --disable-graphite \
+ --disable-coinmp \
+ --disable-lpsolve \
+ --disable-gltf \
+ --disable-liblangtag \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir"/../all distro-pack-install || return 1
+}
+
+_split() {
+ depends=""
+
+ local i
+ for i in $(grep -v ^%dir $_builddir/file-lists/${1}_list.txt | sort -u); do
+ dirname="$(dirname $i)"
+ [ -d "$subpkgdir/$dirname" ] || install -dm755 "$subpkgdir/$dirname"
+ mv "$pkgdir"/../all/"$i" "$subpkgdir"/"$i"
+ done
+}
+
+base() {
+ pkgdesc="LibreOffice - Database frontend"
+ _split base
+}
+
+calc() {
+ pkgdesc="LibreOffice - Spreadsheet"
+ _split calc
+}
+
+common() {
+ pkgdesc="LibreOffice - Common files"
+ _split common
+}
+
+draw() {
+ pkgdesc="LibreOffice - Drawing application"
+ _split draw
+}
+
+gnome() {
+ pkgdesc="LibreOffice - GNOME integration"
+ _split gnome
+}
+
+impress() {
+ pkgdesc="LibreOffice - Presentation application"
+ _split impress
+}
+
+en_us() {
+ pkgdesc="LibreOffice - English (US) language pack"
+ _split lang_en_US
+}
+
+math() {
+ pkgdesc="LibreOffice - Equation editor"
+ _split math
+}
+
+postgres() {
+ pkgdesc="LibreOffice - Connector for PostgreSQL database"
+ _split postgresql
+}
+
+writer() {
+ pkgdesc="LibreOffice - Word Processor"
+ _split writer
+}
+
+md5sums="34cf1a7fbac5b496c141c32c8464a73a libreoffice-4.4.0.3.tar.xz
+1f24ab1d39f4a51faf22244c94a6203f 1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz
+69bef53b6dc9d39d59d1514d02dbbcf7 linux-musl.patch
+1cff63a520d1b037edddf1b4de4799dc fix-execinfo.patch
+2410b3fef56a2163a0d3142330ecbcdc fix-includes.patch"
+sha256sums="d168f3d27e840a861def7739515b4093635c422275b11b25bddd783519300cf7 libreoffice-4.4.0.3.tar.xz
+390a5085651828b8fe12aa978b200f59b9155eedbb91a4be89bf7cf39eefdd4a 1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz
+5cf5a446e5769f6a2df01c5c10702514fe9178334d1e53d3c7df843ca72c6fa2 linux-musl.patch
+7171dfa651a7ee81b4e13a9fd9131428d9a65af138cac4cb428ae6c3e4bcb1f3 fix-execinfo.patch
+2044d4c997472a46e95c68fa8bec19c1424e9074fad05df9f1c0d220dec00281 fix-includes.patch"
+sha512sums="0792b9441a2030fdd1b3f4afc660993d63a069575e6426e3cf367fd8a57c684bf0cfcedc82e8bdc473b057cd6f5b471a773e98b148333f4e5885e5b8a1f9bfb8 libreoffice-4.4.0.3.tar.xz
+5664203e6426880041cdb227e91f79f00d2ca7ae28c6997f61b72cc599aac55838d082d2b2b551bd7a228424c350ddea5d41599b8ca58d444a2cd46c9206ea91 1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz
+5fb4d5bf5cab21a0c95a9e51a4a138b427a08677c34bc14287c3eb74926b606345d5185c76bbe8957043d79dc33d46cf4aaa5182642c7fb9136dc48ed9e7fabb linux-musl.patch
+567123f990c4a47c2e4cebf99f3486150740015e647ca2b2521e606f3350fc55ceda6c7ac031302da34e8fc90747d66619334fcfda4e7b8998456fe3619ab860 fix-execinfo.patch
+15defc8362fb0e53db32b75d9c4ece73e1ee8bd1cc05b4dd8f072f808e6943b385a5415513b237d3daa130dedce3c6ac6370e05ec0b4a25065ce27aadd269e92 fix-includes.patch"